// COMMENT
#include<stdio.h>

static int
normal(int a);

static int
wierd$name(int a);

typedef int (*pointer)(int);

static int
normal(int a)
{
    /* call a normal func,
     * a stub and a pointer
     */
    pointer ptr = wierd$name;

    wierd$name(a);
    printf("%d\n", a);
    ptr(a);

    return (a);
}

static int
wierd$name(int a)
{
    return (a);
}

static int
duplicates(int a)
{
    pointer ptr1 = wierd$name;

    /* check stubs don't get duplicated */
    printf("first %d\n", a);
    printf("second %d\n", a);

    normal(a);
    normal(a);

    ptr1(a);
    ptr1(a);

    return (a);
}

int
main(void) 
{
    normal(1);
    duplicates(1);
    return (0);
}
